<?php

/**
 * @file
 * Contains \Drupal\onwebchat\Form\OnwebchatSettings.
 */

namespace Drupal\onwebchat\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Render\Element;

class OnwebchatSettings extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'onwebchat_settings';
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('onwebchat.settings');

    foreach (Element::children($form) as $variable) {
      $config->set($variable, $form_state->getValue($form[$variable]['#parents']));
    }
    $config->save();

    if (method_exists($this, '_submitForm')) {
      $this->_submitForm($form, $form_state);
    }

    parent::submitForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['onwebchat.settings'];
  }

  public function buildForm(array $form, \Drupal\Core\Form\FormStateInterface $form_state) {
    $settings = \Drupal::config('onwebchat.settings');
    $form['onwebchat_chatid'] = [
      '#type' => 'textfield',
      '#title' => $this->t('onWebChat Chat Id'),
      '#description' => $this->t('Paste the Chat Id from <a href="https://www.onwebchat.com/login.php">www.onwebchat.com</a>'),
      '#default_value' => $settings->get('onwebchat_chatid'),
    ];

    return parent::buildForm($form, $form_state);
  }

}
